pro plothb1
;
; Program plots data for Sigma-Z at various interface thru four
; layers of an eight ply Type-I laminate from the interior to
; the "Free-Edge" along H/B for three lines corresponding to MECH, 
; MECH+THERM, and MECH+THERM+MOIST.
;
;      File data1.dat created by savghb.f
;      Results saved to edgehb_sigz.gif
;
status=DC_READ_FIXED('data1.dat',rows,Format='(E11.4)',/Column)
status=DC_READ_FIXED('data2.dat',rows,Format='(E11.4)',/Column)
status=DC_READ_FIXED('data3.dat',rows,Format='(E11.4)',/Column)
numr=size(rows)
numberr=numr(1)
openr,1,'data1.dat' & openr,2,'data2.dat' & openr,3,'data3.dat'
aa=fltarr(4) & bb=fltarr(4)
data=fltarr(numberr-1) 
datb=fltarr(numberr-1) & datc=fltarr(numberr-1) & datd=fltarr(numberr-1)
date=fltarr(numberr-1) & datf=fltarr(numberr-1) & datg=fltarr(numberr-1)
dath=fltarr(numberr-1) & dati=fltarr(numberr-1) & datj=fltarr(numberr-1)
datk=fltarr(numberr-1) & datl=fltarr(numberr-1) & datm=fltarr(numberr-1)
;
datx=fltarr(2) 
zero=fltarr(2) & five=fltarr(2) & ten=fltarr(2) & fifteen=fltarr(2)
;
for i=1,numberr-1 do begin
 readf,1,dataa,datbb,datcc,datdd,datee
 readf,2,dataa,datff,datgg,dathh,datii
 readf,3,dataa,datjj,datkk,datll,datmm
 print,i,dataa,datbb,datcc,datdd,datee,'/',$
               datff,datgg,dathh,datii,'/',$
               datjj,datkk,datll,datmm
data(i-1)=dataa
datb(i-1)=datbb & datc(i-1)=datcc & datd(i-1)=datdd
date(i-1)=datee & datf(i-1)=datff & datg(i-1)=datgg
dath(i-1)=dathh & dati(i-1)=datii & datj(i-1)=datjj
datk(i-1)=datkk & datl(i-1)=datll & datm(i-1)=datmm
endfor
;
max=+20000.00 & min=-5000.00
for i=1,numberr-1 do begin
datc(i-1)=datc(i-1)+5000 & datd(i-1)=datd(i-1)+10000
date(i-1)=date(i-1)+15000
datg(i-1)=datg(i-1)+5000 & dath(i-1)=dath(i-1)+10000
dati(i-1)=dati(i-1)+15000
datk(i-1)=datk(i-1)+5000 & datl(i-1)=datl(i-1)+10000
datm(i-1)=datm(i-1)+15000
endfor
;
datx(0)=data(numberr-13) & datx(1)=data(numberr-2)
zero(0)=0.0 & zero(1)=0.0
five(0)=5000.00 & five(1)=5000.00
ten(0)=10000.00 & ten(1)=10000.00
fifteen(0)=15000.00 & fifteen(1)=15000.00
;
set_plot,'pm'
!P.Background=254
!Y.Range=[min,max]
!X.Range=[data(4),1.0]
!P.Charsize=1.4
!P.Position(*)=0
 !P.Position(0)=100 & !P.Position(1)=50 
 !P.Position(2)=580 & !P.Position(3)=650
TEK_COLOR
openzbuff,600,700
plot,datx,zero,Color=0,/DEVICE,/NOCLIP,$
Title='Debond Normal Stress, Sigma-Z, At Various Interfaces',$
Ytitle='Sigma-Z,   lib/in^2',$
Xtitle='H/B'
oplot,datx,five,Color=0
oplot,datx,ten,Color=0
oplot,datx,fifteen,Color=0
;
oplot,data,datb,Psym=-2,Color=2
oplot,data,datf,Psym=-4,Color=5
oplot,data,datj,Psym=-6,Color=8
;
oplot,data,datc,Psym=-2,Color=2
oplot,data,datg,Psym=-4,Color=5
oplot,data,datk,Psym=-6,Color=8
;
oplot,data,datd,Psym=-2,Color=2
oplot,data,dath,Psym=-4,Color=5
oplot,data,datl,Psym=-6,Color=8
;
oplot,data,date,Psym=-2,Color=2
oplot,data,dati,Psym=-4,Color=5
oplot,data,datm,Psym=-6,Color=8
;
closezbuff,'edgehb_sigz.gif'
close,1
return
end
